Package com.sas.lsaf.clinical.model

## Class ValueListMetadata

- java.lang.Object
- - com.sas.lsaf.clinical.model.ValueListMetadata

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ValueListMetadata
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents value list metadata for an attribute with a predefined set of allowed values.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueListMetadata​(java.lang.String id, java.lang.String name, java.lang.String modelId, boolean builtIn, boolean extensible, java.util.List<ValueListValueMetadata> values)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDefaultValue()` | Get the default value of the value list.
    `java.lang.String` | `getId()` | Gets the id of the value list metadata.
    `java.lang.String` | `getModelId()` | Gets the id of the model from which the value list metadata is defined.
    `java.lang.String` | `getName()` | The name of the value list metadata.
    `java.util.List<ValueListValueMetadata>` | `getValueListValues()` | Get the ValueListValueMetadata associated with the value list.
    `int` | `hashCode()` |
    `boolean` | `isBuiltIn()` | Gets whether the application is aware of the value list values or used by the application in some way.
    `boolean` | `isExtensible()` | Gets whether the value list metadata is restricted to only the items in the list or can include additional values.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueListMetadata

          public ValueListMetadata​(java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String modelId,
                                   boolean builtIn,
                                   boolean extensible,
                                   java.util.List<ValueListValueMetadata> values)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the value list metadata returned by the API.
      Parameters:
        `id` - The id of the value list metadata.
        `name` - The name of the value list metadata.
        `modelId` - The id of the model from which the value list metadata is defined.
        `builtIn` - Whether the application is aware of the value list values or used by the application in some way.
        `extensible` - Whether the value list metadata is restricted to only the items in the list or can include additional values.
        `values` - The metadata for the values of the value list attribute.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the id of the value list metadata.
      Returns:
        The id of the value list metadata.

    - #### getName

          public java.lang.String getName()

      The name of the value list metadata.
      Returns:
        The name of the value list metadata.

    - #### getModelId

          public java.lang.String getModelId()

      Gets the id of the model from which the value list metadata is defined.
      Returns:
        The id of the model from which the value list metadata is defined.

    - #### isBuiltIn

          public boolean isBuiltIn()

      Gets whether the application is aware of the value list values or used by the application in some way.
      Returns:
        Whether the application is aware of the value list values or used by the application in some way.

    - #### isExtensible

          public boolean isExtensible()

      Gets whether the value list metadata is restricted to only the items in the list or can include additional values. This value is used in validation to check if the attribute value conforms to value list. If not extensible, any value not in the value list will be flagged as invalid value. Otherwise, other values are allowed.
      Returns:
        Whether the value list metadata is restricted to only the items in the list or can include additional values.

    - #### getValueListValues

          public java.util.List<ValueListValueMetadata> getValueListValues()

      Get the ValueListValueMetadata associated with the value list.
      Returns:
        List The ValueListValueMetadata associated with the value list.

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Get the default value of the value list.
      Returns:
        String The default value of the value list.

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`